from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from authentication.models import ExtendedUser


class ExtendedUserAdmin(UserAdmin):
    list_display = ('username', 'email', 'first_name', 'last_name', 'is_staff', 'is_superuser')
    search_fields = ('username', 'email', 'first_name', 'last_name')
    ordering = ('username',)
    filter_horizontal = ('groups', 'user_permissions', 'permissions')


admin.site.register(ExtendedUser, ExtendedUserAdmin)
